Package me.totalfreedom.scissors.event.player

# Class SpectatorTeleportEvent

java.lang.Object
org.bukkit.event.Event
me.totalfreedom.scissors.event.player.SpectatorTeleportEvent

All Implemented Interfaces:
  `Cancellable`

public class SpectatorTeleportEvent extends Event implements Cancellable
Called whenever a spectator attempts to teleport to an entity

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`SpectatorTeleportEvent(@NotNull Player player, @NotNull Entity target)`

## Method Summary

Modifier and Type
Method
Description
`static HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Player`
`getPlayer()`
`@NotNull Entity`
`getTarget()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpectatorTeleportEvent

public SpectatorTeleportEvent(@NotNull @NotNull Player player, @NotNull @NotNull Entity target)

## Method Details

### getPlayer

@NotNull public @NotNull Player getPlayer()

### getTarget

@NotNull public @NotNull Entity getTarget()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static HandlerList getHandlerList()